Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.rules
Class DecisionTable.LinkedList

    java.lang.Object
      weka.core.FastVector
          weka.classifiers.rules.DecisionTable.LinkedList

All Implemented Interfaces:
  java.io.Serializable, Copyable

Enclosing class:
  DecisionTable

    public class DecisionTable.LinkedList

extends FastVector

Class for handling a linked list. Used in best first search. Extends the Vector class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class weka.core.FastVector
`FastVector.FastVectorEnumeration`

Constructor Summary
`DecisionTable.LinkedList()`

Method Summary
`void` | `addToList(java.util.BitSet gr, double mer)` Aadds an element (Link) to the list.
`DecisionTable.Link` | `getLinkAt(int index)` Returns the element (Link) at a specific index from the list.
`void` | `removeLinkAt(int index)` Removes an element (Link) at a specific index from the list.

Methods inherited from class weka.core.FastVector
`addElement, appendElements, capacity, contains, copy, copyElements, elementAt, elements, elements, firstElement, indexOf, insertElementAt, lastElement, removeAllElements, removeElementAt, setCapacity, setElementAt, size, swap, toArray, trimToSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionTable.LinkedList

    public DecisionTable.LinkedList()

Method Detail

### removeLinkAt

    public void removeLinkAt(int index)
                      throws java.lang.Exception

  Removes an element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be removed.
  Throws:
    `java.lang.Exception`

### getLinkAt

    public DecisionTable.Link getLinkAt(int index)
                                 throws java.lang.Exception

  Returns the element (Link) at a specific index from the list.

  Parameters:
    `index` - the index of the element to be returned.
  Throws:
    `java.lang.Exception`

### addToList

    public void addToList(java.util.BitSet gr,
                          double mer)

  Aadds an element (Link) to the list.

  Parameters:
    `gr` - the feature set specification
    `mer` - the "merit" of this feature set

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD